SDL Visual Test: Data Fields - Variables

SDL Visual Test

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- i
- m
- n
- o
- p
- r
- s
- t
- v

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages

### - a -

- action : SDLVisualTest_ActionNode
- action_queue : SDLVisualTest_HarnessState

### - b -

- bool_value : SDLVisualTest_SUTOptionValue
- buffer : SDLVisualTest_ExhaustiveVariator , SDLVisualTest_RWHelperBuffer , SDLVisualTest_RandomVariator
- buffer_pos : SDLVisualTest_RWHelperBuffer
- buffer_width : SDLVisualTest_RWHelperBuffer

### - c -

- categories : SDLVisualTest_SUTOption
- config : SDLVisualTest_RandomVariator , SDLVisualTest_ExhaustiveVariator

### - d -

- data : SDLVisualTest_SUTOption , SDLVisualTest_Variator

### - e -

- enum_values : SDLVisualTest_SUTOption
- enumerated : SDLVisualTest_SUTOptionValue
- exit_status : SDL_ProcessExitStatus
- exit_success : SDL_ProcessExitStatus
- extra : SDLVisualTest_Action

### - f -

- front : SDLVisualTest_ActionQueue

### - i -

- integer : SDLVisualTest_SUTOptionValue

### - m -

- max : SDLVisualTest_SUTIntRange
- min : SDLVisualTest_SUTIntRange

### - n -

- name : SDLVisualTest_SUTOption
- next : SDLVisualTest_ActionNode
- no_launch : SDLVisualTest_HarnessState
- num_options : SDLVisualTest_SUTConfig
- num_variations : SDLVisualTest_HarnessState
- num_vars : SDLVisualTest_Variation

### - o -

- options : SDLVisualTest_SUTConfig
- output_dir : SDLVisualTest_HarnessState

### - p -

- process : SDLVisualTest_Action

### - r -

- range : SDLVisualTest_SUTOption
- rear : SDLVisualTest_ActionQueue
- required : SDLVisualTest_SUTOption

### - s -

- size : SDLVisualTest_ActionQueue
- string : SDLVisualTest_SUTOptionValue
- sut_config : SDLVisualTest_HarnessState
- sutapp : SDLVisualTest_HarnessState
- sutargs : SDLVisualTest_HarnessState

### - t -

- time : SDLVisualTest_Action
- timeout : SDLVisualTest_HarnessState
- type : SDLVisualTest_SUTOption , SDLVisualTest_Action , SDLVisualTest_Variator

### - v -

- variation : SDLVisualTest_ExhaustiveVariator , SDLVisualTest_RandomVariator
- variator_type : SDLVisualTest_HarnessState
- vars : SDLVisualTest_Variation
- verify_dir : SDLVisualTest_HarnessState